aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ChangeLog10
-rw-r--r--Makefile9
-rw-r--r--initscripts.spec2
-rwxr-xr-xrc.d/init.d/functions12
4 files changed, 25 insertions, 8 deletions
diff --git a/ChangeLog b/ChangeLog
index b4050827..5fd211a8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,13 @@
+1999-07-27 Bill Nottingham <nottingredhat.com>
+
+ * rc.d/init.d/functions:
+ trap sigpipe in shell...
+
+1999-07-26 Bill Nottingham <nottingredhat.com>
+
+ * ppp/ip-up:
+ added stuff for heartbeat monitoring
+
1999-07-26 Bill Nottingham <notting@redhat.com>
* sysconfig/network-scripts/ifup:
diff --git a/Makefile b/Makefile
index 2db1f5cc..bfe9b6ab 100644
--- a/Makefile
+++ b/Makefile
@@ -28,9 +28,16 @@ install:
chown root.root /var/run/netreport
chmod og=rwx,o=rx /var/run/netreport
+changelog:
+ rcs2log | sed "s|@.*redhat\.com|redhat.com|" | \
+ sed "s|/mnt/devel/CVS/initscripts/||g" > changenew
+ mv ChangeLog ChangeLog.old
+ cat changenew ChangeLog.old > ChangeLog
+ rm -f changenew
+
clean:
(cd src; make clean)
- @rm -fv *~
+ @rm -fv *~ changenew ChangeLog.old
tag-archive:
@cvs -Q tag -F $(CVSTAG)
diff --git a/initscripts.spec b/initscripts.spec
index 50bc426f..81ef8ed5 100644
--- a/initscripts.spec
+++ b/initscripts.spec
@@ -4,7 +4,7 @@ Name: initscripts
Version: %{version}
Copyright: GPL
Group: System Environment/Base
-Release: 1
+Release: 2
Source: initscripts-%{version}.tar.gz
BuildRoot: /var/tmp/initbld
Requires: mingetty, bash, /bin/awk, /bin/sed, mktemp, e2fsprogs, console-tools
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 5f4e71b6..fcd61237 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -253,9 +253,9 @@ success() {
initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
else
# silly hack to avoid EPIPE killing rc.sysinit
- trap SIGPIPE
+ trap "" SIGPIPE
echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap -
+ trap - SIGPIPE
fi
[ "$BOOTUP" != "verbose" ] && echo_success
return 0
@@ -267,9 +267,9 @@ failure() {
if [ -z "$IN_INITLOG" ]; then
initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
else
- trap SIGPIPE
+ trap "" SIGPIPE
echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 2" >&21
- trap -
+ trap - SIGPIPE
fi
[ "$BOOTUP" != "verbose" ] && echo_failure
return $rc
@@ -281,9 +281,9 @@ passed() {
if [ -z "$IN_INITLOG" ]; then
initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
else
- trap SIGPIPE
+ trap "" SIGPIPE
echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap -
+ trap - SIGPIPE
fi
[ "$BOOTUP" != "verbose" ] && echo_passed
return $rc